Download it now!
Bug 94121 - WIKIHELP: Code role paragraphs appear with the same background color as tables
Summary: WIKIHELP: Code role paragraphs appear with the same background color as tables
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Dennis Roczek
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords:
Depends on:
Blocks: Wiki-Help
  Show dependency treegraph
 
Reported: 2015-09-11 05:21 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-06-07 15:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-09-11 05:21:08 UTC
Paragraph tags with a code role appear with the same background color as table background colors.

https://help.libreoffice.org/Common/Number_Format_Codes#Color
File - source/text/shared/01/05020301.xhp
Comment 1 Buovjaga 2015-09-18 12:37:47 UTC
Confirmed.
Comment 2 Andras Timar 2016-06-21 19:44:14 UTC
It can be fixed in MediaWiki css. background-color is #f9f9f9 for both code and wikitable class.
Comment 3 Dennis Roczek 2016-09-07 21:54:45 UTC
done with https://help.libreoffice.org/index.php?title=MediaWiki%3ACommon.css&diff=1732503&oldid=1732502

does anybody find any regressions?
Comment 4 Dennis Roczek 2016-09-07 22:25:16 UTC
heiko, any ideas ^^
https://help.libreoffice.org/Writer/Entries_index_of_tables
Comment 5 Yousuf Philips (jay) (retired) 2016-09-08 15:26:08 UTC
I think lighter would likely be better to not take away from the black text and possibly a different color.
Comment 6 Heiko Tietze 2016-09-10 09:30:36 UTC
(In reply to Dennis Roczek from comment #4)
> heiko, any ideas ^^

Adding Klaus-Juergen for visual design and corporate identity (not registered -> direct email). No objections from my side.
Comment 7 k-j 2016-09-12 14:51:25 UTC
(In reply to Heiko Tietze from comment #6)
> Adding Klaus-Juergen for visual design and corporate identity (not
> registered -> direct email). No objections from my side.

The used #AADCF7 is in the Branding, so no problem from this side. The only question would be if there will be some other colours at a help page and that could be looking ugly.
Comment 8 Dennis Roczek 2016-09-18 10:28:49 UTC
I haven't found anything.
Comment 9 Commit Notification 2018-06-05 01:52:35 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=1b112c0bedae14d3c242d8662d16230acf8c333e

tdf#94121 Give code paragraphs a different background, again
Comment 10 Commit Notification 2018-06-07 15:43:51 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=98fba5b275bf5acd73f875109b4bf6d0b5f170e5&h=libreoffice-6-1

tdf#94121 Give code paragraphs a different background, again